# Tcl package index file, version 1.1
# This file is supposed to be sourced either when an 
# application starts up or by a "package unknown" script.
# It invokes the "package ifneeded" command to set up
# package-related information so that packages will be
# loaded automatically in response to "package require"
# commands.  When this script is sourced, the variable $dir
# must contain the full path name of this file's directory.

package ifneeded tclmpi 1.2 [list source [file join $dir tclmpi.tcl]]
if {[info exists ::env(CTEST_SHARED_OBJECT)] } {
    package ifneeded _tclmpi 1.2 [list load -global $::env(CTEST_SHARED_OBJECT)]
} elseif {[info exists ::env(MPI_LIB)]} {
    package ifneeded _tclmpi 1.2 \
        [list load -global [file join $::env(MPI_LIB) tcl[info tclversion] \
            tclmpi1.2 _tclmpi.so]]
} else {
    package ifneeded _tclmpi 1.2 \
        [list load -global [file join $dir _tclmpi.so]]
}

# Local Variables:
# mode: tcl
# End:
